Module java.desktop
Package javax.swing.text.html

# Class FormView.MouseEventListener

java.lang.Object
java.awt.event.MouseAdapter
javax.swing.text.html.FormView.MouseEventListener

All Implemented Interfaces:
  `MouseListener`, `MouseMotionListener`, `MouseWheelListener`, `EventListener`

Enclosing class:
  FormView

    protected class FormView.MouseEventListener
    extends MouseAdapter

MouseEventListener class to handle form submissions when an input with type equal to image is clicked on. A MouseListener is necessary since along with the image data the coordinates associated with the mouse click need to be submitted.

## Constructor Summary

Constructors
Modifier | Constructor | Description
--- | --- | ---
`protected` | `MouseEventListener()` |

## Method Summary

### Methods declared in class java.awt.event.MouseAdapter

`mouseDragged, mouseMoved, mouseWheelMoved`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface java.awt.event.MouseListener

`mouseClicked, mouseEntered, mouseExited, mousePressed, mouseReleased`

## Constructor Details

### MouseEventListener

protected MouseEventListener()